Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.builtin
Interface Request<R extends Response>

All Known Subinterfaces:
  KBRequest<R>

All Known Implementing Classes:
  AbstractGetDisjointProperties, AbstractKBRequest, AbstractKBRequestWithIndividualProperty, AbstractKBRequestWithOneObject, AbstractKBRequestWithOneObjectAndBooleanValue, AbstractKBRequestWithOneObjectAndNegativeAttribute, AbstractKBRequestWithTwoObjects, AbstractKBRequestWithTwoOrMoreObjects, Classify, CreateKB, GetAllAnnotationProperties, GetAllClasses, GetAllDataProperties, GetAllDatatypes, GetAllIndividuals, GetAllObjectProperties, GetDataPropertiesBetween, GetDataPropertiesOfLiteral, GetDataPropertiesOfSource, GetDataPropertySources, GetDataPropertyTargets, GetDescription, GetDifferentIndividuals, GetDisjointClasses, GetDisjointDataProperties, GetDisjointObjectProperties, GetEquivalentClasses, GetEquivalentDataProperties, GetEquivalentObjectProperties, GetFlattenedDataPropertySources, GetFlattenedDifferentIndividuals, GetFlattenedInstances, GetFlattenedObjectPropertySources, GetFlattenedObjectPropertyTargets, GetFlattenedTypes, GetInstances, GetKBLanguage, GetObjectPropertiesBetween, GetObjectPropertiesOfSource, GetObjectPropertiesOfTarget, GetObjectPropertySources, GetObjectPropertyTargets, GetPrefixes, GetSameIndividuals, GetSettings, GetSubClasses, GetSubClassHierarchy, GetSubDataProperties, GetSubDataPropertyHierarchy, GetSubObjectProperties, GetSubObjectPropertyHierarchy, GetSuperClasses, GetSuperDataProperties, GetSuperObjectProperties, GetTypes, IsClassSatisfiable, IsDataPropertySatisfiable, IsEntailed, IsEntailedDirect, IsKBConsistentlyDeclared, IsKBSatisfiable, IsObjectPropertySatisfiable, LoadOntologies, OWLlinkXMLRenderer.KBGetPrefixes, Realize, ReleaseKB, Set, Tell

    public interface Request<R extends Response>

`Request` is the base interface for all core (built-in as well as OWLlink extension queries) requests for the OWLlink protocol.

Method Summary
`void` | `accept(RequestVisitor visitor)`

Method Detail

### accept

    void accept(RequestVisitor visitor)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD